import { OnesTable } from '../../../../@ones-table/common';
import { GC } from '../../../../@ones-table/core';
import { ContextMenuHook, OnesTableContextMenuHelper } from './types';
export default class FloatingImageContextMenuHook implements ContextMenuHook {
    private table;
    private helper;
    constructor(table: OnesTable, helper: OnesTableContextMenuHelper);
    removeAll(itemsDataForShown: GC.Spread.Sheets.ContextMenu.IMenuItemData[]): void;
    addAll(menuData: GC.Spread.Sheets.ContextMenu.IMenuItemData[], itemsDataForShown: GC.Spread.Sheets.ContextMenu.IMenuItemData[]): void;
    handleShowContextMenu(table: OnesTable, menuData: GC.Spread.Sheets.ContextMenu.IMenuItemData[], itemsDataForShown: GC.Spread.Sheets.ContextMenu.IMenuItemData[], hitInfo: any, spread: object): void;
    destroy(): void;
    getImage(hitInfo: GC.Spread.Sheets.IWorkbookHitTestInformation): GC.Spread.Sheets.FloatingObjects.Picture | null;
    previewImage(hitInfo: GC.Spread.Sheets.IWorkbookHitTestInformation): void;
    deleteImage(hitInfo: GC.Spread.Sheets.IWorkbookHitTestInformation): void;
    toCellImage(hitInfo: GC.Spread.Sheets.IWorkbookHitTestInformation): void;
    downloadImage(hitInfo: GC.Spread.Sheets.IWorkbookHitTestInformation): void;
}
